Subject: Re: linux-next: manual merge of the scsi tree with the scsi-fixes tree

From: Roman Bolshakov <[email-masked]>
Date: Wed, 7 Apr 2021 13:47:38 +0300

On Wed, Apr 07, 2021 at 05:04:57PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the scsi tree got a conflict in:
> 
>   drivers/target/iscsi/iscsi_target.c
> 
> between commit:
> 
>   0352c3d3959a ("scsi: target: iscsi: Fix zero tag inside a trace event")
> 
> from the scsi-fixes tree and commit:
> 
>   08694199477d ("scsi: target: core: Add gfp_t arg to target_cmd_init_cdb()")
> 
> from the scsi tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Hi Stephen,

I'm sorry for not mentioning the issue. IIRC I sent 0352c3d3959a off
linus/master, because 5.12/scsi-fixes was quite behind it. I have to say
that for this particular fix I didn't try to apply it to 5.13/scsi-queue
because I didn't expect any conflicts for such a small change :)

I will apply to both <next>/scsi-queue and <current>/scsi-fixes next
time before submission even for trivial patches to avoid the confusion.

The conflict resolution is fine.

Thanks,
Roman

> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/target/iscsi/iscsi_target.c
> index e5c443bfbdf9,cf7f0465dd63..000000000000
> --- a/drivers/target/iscsi/iscsi_target.c
> +++ b/drivers/target/iscsi/iscsi_target.c
> @@@ -1166,8 -1166,8 +1166,9 @@@ int iscsit_setup_scsi_cmd(struct iscsi_
>   
>   	target_get_sess_cmd(&cmd->se_cmd, true);
>   
>  +	cmd->se_cmd.tag = (__force u32)cmd->init_task_tag;
> - 	cmd->sense_reason = target_cmd_init_cdb(&cmd->se_cmd, hdr->cdb);
> + 	cmd->sense_reason = target_cmd_init_cdb(&cmd->se_cmd, hdr->cdb,
> + 						GFP_KERNEL);
>   	if (cmd->sense_reason) {
>   		if (cmd->sense_reason == TCM_OUT_OF_RESOURCES) {
>   			return iscsit_add_reject_cmd(cmd,